comparison configure @ 85868:c0d6a9b6d0e5

Regenerate.
author Jan Djärv <jan.h.d@swipnet.se>
date Thu, 01 Nov 2007 07:38:27 +0000
parents 104186d7ba4b
children 2babe0c7e252
comparison
equal deleted inserted replaced
85867:63b4228fc06a 85868:c0d6a9b6d0e5
11077 { echo "$as_me:$LINENO: result: before 6" >&5 11077 { echo "$as_me:$LINENO: result: before 6" >&5
11078 echo "${ECHO_T}before 6" >&6; } 11078 echo "${ECHO_T}before 6" >&6; }
11079 fi 11079 fi
11080 fi 11080 fi
11081 11081
11082 if test "${window_system}" = "x11"; then
11083 { echo "$as_me:$LINENO: checking X11 version 5" >&5
11084 echo $ECHO_N "checking X11 version 5... $ECHO_C" >&6; }
11085 if test "${emacs_cv_x11_version_5+set}" = set; then
11086 echo $ECHO_N "(cached) $ECHO_C" >&6
11087 else
11088 cat >conftest.$ac_ext <<_ACEOF
11089 /* confdefs.h. */
11090 _ACEOF
11091 cat confdefs.h >>conftest.$ac_ext
11092 cat >>conftest.$ac_ext <<_ACEOF
11093 /* end confdefs.h. */
11094 #include <X11/Xlib.h>
11095 int
11096 main ()
11097 {
11098 #if XlibSpecificationRelease < 5
11099 fail;
11100 #endif
11101
11102 ;
11103 return 0;
11104 }
11105 _ACEOF
11106 rm -f conftest.$ac_objext conftest$ac_exeext
11107 if { (ac_try="$ac_link"
11108 case "(($ac_try" in
11109 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11110 *) ac_try_echo=$ac_try;;
11111 esac
11112 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11113 (eval "$ac_link") 2>conftest.er1
11114 ac_status=$?
11115 grep -v '^ *+' conftest.er1 >conftest.err
11116 rm -f conftest.er1
11117 cat conftest.err >&5
11118 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11119 (exit $ac_status); } && {
11120 test -z "$ac_c_werror_flag" ||
11121 test ! -s conftest.err
11122 } && test -s conftest$ac_exeext &&
11123 $as_test_x conftest$ac_exeext; then
11124 emacs_cv_x11_version_5=yes
11125 else
11126 echo "$as_me: failed program was:" >&5
11127 sed 's/^/| /' conftest.$ac_ext >&5
11128
11129 emacs_cv_x11_version_5=no
11130 fi
11131
11132 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
11133 conftest$ac_exeext conftest.$ac_ext
11134 fi
11135
11136 if test $emacs_cv_x11_version_5 = yes; then
11137 { echo "$as_me:$LINENO: result: 5 or newer" >&5
11138 echo "${ECHO_T}5 or newer" >&6; }
11139 HAVE_X11R5=yes
11140
11141 cat >>confdefs.h <<\_ACEOF
11142 #define HAVE_X11R5 1
11143 _ACEOF
11144
11145 else
11146 HAVE_X11R5=no
11147 { echo "$as_me:$LINENO: result: before 5" >&5
11148 echo "${ECHO_T}before 5" >&6; }
11149 fi
11150 fi
11151 11082
11152 ### Use -lrsvg-2 if available, unless `--with-rsvg=no' is specified. 11083 ### Use -lrsvg-2 if available, unless `--with-rsvg=no' is specified.
11153 HAVE_RSVG=no 11084 HAVE_RSVG=no
11154 if test "${HAVE_X11}" = "yes" || test "${HAVE_CARBON}" = "yes"; then 11085 if test "${HAVE_X11}" = "yes" || test "${HAVE_CARBON}" = "yes"; then
11155 if test "${with_rsvg}" != "no"; then 11086 if test "${with_rsvg}" != "no"; then
12370 fi 12301 fi
12371 fi 12302 fi
12372 12303
12373 HAVE_XAW3D=no 12304 HAVE_XAW3D=no
12374 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then 12305 if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
12375 if test x"${HAVE_X11R5}" != xyes; then 12306 if test "$with_xaw3d" != no; then
12376 USE_X_TOOLKIT=none 12307 { echo "$as_me:$LINENO: checking for xaw3d" >&5
12377 else
12378 if test "$with_xaw3d" != no; then
12379 { echo "$as_me:$LINENO: checking for xaw3d" >&5
12380 echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; } 12308 echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; }
12381 if test "${emacs_cv_xaw3d+set}" = set; then 12309 if test "${emacs_cv_xaw3d+set}" = set; then
12382 echo $ECHO_N "(cached) $ECHO_C" >&6 12310 echo $ECHO_N "(cached) $ECHO_C" >&6
12383 else 12311 else
12384 cat >conftest.$ac_ext <<_ACEOF 12312 cat >conftest.$ac_ext <<_ACEOF
12385 /* confdefs.h. */ 12313 /* confdefs.h. */
12386 _ACEOF 12314 _ACEOF
12426 12354
12427 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 12355 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12428 conftest$ac_exeext conftest.$ac_ext 12356 conftest$ac_exeext conftest.$ac_ext
12429 fi 12357 fi
12430 12358
12431 else 12359 else
12432 emacs_cv_xaw3d=no 12360 emacs_cv_xaw3d=no
12433 fi 12361 fi
12434 if test $emacs_cv_xaw3d = yes; then 12362 if test $emacs_cv_xaw3d = yes; then
12435 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5 12363 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12436 echo "${ECHO_T}yes; using Lucid toolkit" >&6; } 12364 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12437 USE_X_TOOLKIT=LUCID 12365 USE_X_TOOLKIT=LUCID
12438 HAVE_XAW3D=yes 12366 HAVE_XAW3D=yes
12439 12367
12440 cat >>confdefs.h <<\_ACEOF 12368 cat >>confdefs.h <<\_ACEOF
12441 #define HAVE_XAW3D 1 12369 #define HAVE_XAW3D 1
12442 _ACEOF 12370 _ACEOF
12443 12371
12444 else 12372 else
12445 { echo "$as_me:$LINENO: result: no" >&5 12373 { echo "$as_me:$LINENO: result: no" >&5
12446 echo "${ECHO_T}no" >&6; } 12374 echo "${ECHO_T}no" >&6; }
12447 { echo "$as_me:$LINENO: checking for libXaw" >&5 12375 { echo "$as_me:$LINENO: checking for libXaw" >&5
12448 echo $ECHO_N "checking for libXaw... $ECHO_C" >&6; } 12376 echo $ECHO_N "checking for libXaw... $ECHO_C" >&6; }
12449 if test "${emacs_cv_xaw+set}" = set; then 12377 if test "${emacs_cv_xaw+set}" = set; then
12450 echo $ECHO_N "(cached) $ECHO_C" >&6 12378 echo $ECHO_N "(cached) $ECHO_C" >&6
12451 else 12379 else
12452 cat >conftest.$ac_ext <<_ACEOF 12380 cat >conftest.$ac_ext <<_ACEOF
12453 /* confdefs.h. */ 12381 /* confdefs.h. */
12454 _ACEOF 12382 _ACEOF
12494 12422
12495 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 12423 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12496 conftest$ac_exeext conftest.$ac_ext 12424 conftest$ac_exeext conftest.$ac_ext
12497 fi 12425 fi
12498 12426
12499 if test $emacs_cv_xaw = yes; then 12427 if test $emacs_cv_xaw = yes; then
12500 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5 12428 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12501 echo "${ECHO_T}yes; using Lucid toolkit" >&6; } 12429 echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12502 USE_X_TOOLKIT=LUCID 12430 USE_X_TOOLKIT=LUCID
12503 elif test x"${USE_X_TOOLKIT}" = xLUCID; then 12431 elif test x"${USE_X_TOOLKIT}" = xLUCID; then
12504 { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5 12432 { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5
12505 echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;} 12433 echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;}
12506 { (exit 1); exit 1; }; } 12434 { (exit 1); exit 1; }; }
12507 else 12435 else
12508 { echo "$as_me:$LINENO: result: no; do not use toolkit by default" >&5 12436 { echo "$as_me:$LINENO: result: no; do not use toolkit by default" >&5
12509 echo "${ECHO_T}no; do not use toolkit by default" >&6; } 12437 echo "${ECHO_T}no; do not use toolkit by default" >&6; }
12510 USE_X_TOOLKIT=none 12438 USE_X_TOOLKIT=none
12511 fi
12512 fi 12439 fi
12513 fi 12440 fi
12514 fi 12441 fi
12515 12442
12516 X_TOOLKIT_TYPE=$USE_X_TOOLKIT 12443 X_TOOLKIT_TYPE=$USE_X_TOOLKIT